Index: /code/branches/console/src/libraries/core/Core.cc
===================================================================
--- /code/branches/console/src/libraries/core/Core.cc	(revision 5991)
+++ /code/branches/console/src/libraries/core/Core.cc	(revision 5992)
@@ -126,5 +126,5 @@
 
             SetConfigValue(language_, Language::getInstance().defaultLanguage_)
-                .description("The language of the ingame text")
+                .description("The language of the in game text")
                 .callback(this, &CoreConfiguration::languageChanged);
             SetConfigValue(bInitializeRandomNumberGenerator_, true)
@@ -222,10 +222,10 @@
         this->pathConfig_->setConfigurablePaths();
 
-        // create a signal handler (only active for linux)
+        // create a signal handler (only active for Linux)
         // This call is placed as soon as possible, but after the directories are set
         this->signalHandler_.reset(new SignalHandler());
         this->signalHandler_->doCatch(PathConfig::getExecutablePathString(), PathConfig::getLogPathString() + "orxonox_crash.log");
 
-        // Set the correct log path. Before this call, /tmp (Unix) or %TEMP% was used
+        // Set the correct log path. Before this call, /tmp (Unix) or %TEMP% (Windows) was used
         OutputHandler::getOutStream().setLogPath(PathConfig::getLogPathString());
 
Index: /code/branches/console/src/libraries/core/Core.h
===================================================================
--- /code/branches/console/src/libraries/core/Core.h	(revision 5991)
+++ /code/branches/console/src/libraries/core/Core.h	(revision 5992)
@@ -43,5 +43,4 @@
 {
     class CoreConfiguration;
-	class IOConsole;
 
     /**
Index: /code/branches/console/src/libraries/core/CorePrereqs.h
===================================================================
--- /code/branches/console/src/libraries/core/CorePrereqs.h	(revision 5991)
+++ /code/branches/console/src/libraries/core/CorePrereqs.h	(revision 5992)
@@ -148,4 +148,5 @@
     class GUIManager;
     class Identifier;
+    class IOConsole;
     class IRC;
     template <class T>
Index: /code/branches/console/src/libraries/core/GUIManager.cc
===================================================================
--- /code/branches/console/src/libraries/core/GUIManager.cc	(revision 5991)
+++ /code/branches/console/src/libraries/core/GUIManager.cc	(revision 5992)
@@ -127,5 +127,5 @@
         guiSystem_.reset(new System(guiRenderer_.get(), resourceProvider_, 0, scriptModule_.get()));
 
-        // Initialise the basic lua code
+        // Initialise the basic Lua code
         rootFileInfo_ = Resource::getInfo("InitialiseGUI.lua", "GUI");
         this->luaState_->doFile("InitialiseGUI.lua", "GUI", false);
@@ -134,5 +134,5 @@
         guiSystem_->injectMousePosition(mousePosition.first, mousePosition.second);
 
-        // Hide the mouse cursor unless playing in fullscreen mode
+        // Hide the mouse cursor unless playing in full screen mode
         if (!bFullScreen)
             CEGUI::MouseCursor::getSingleton().hide();
@@ -280,5 +280,5 @@
         code of the mouse button as it is used by CEGUI
 
-        Simple convertion from mouse event code in Orxonox to the one used in CEGUI.
+        Simple conversion from mouse event code in Orxonox to the one used in CEGUI.
      */
     static inline CEGUI::MouseButton convertButton(MouseButtonCode::ByEnum button)
Index: /code/branches/console/src/libraries/core/GraphicsManager.h
===================================================================
--- /code/branches/console/src/libraries/core/GraphicsManager.h	(revision 5991)
+++ /code/branches/console/src/libraries/core/GraphicsManager.h	(revision 5992)
@@ -106,11 +106,11 @@
 
         // config values
-        std::string         ogreConfigFile_;           //!< ogre config file name
+        std::string         ogreConfigFile_;           //!< ogre config filename
         std::string         ogrePluginsDirectory_;     //!< Directory where the Ogre plugins are located
         std::string         ogrePlugins_;              //!< Comma separated list of all plugins to load
-        std::string         ogreLogFile_;              //!< log file name for Ogre log messages
-        int                 ogreLogLevelTrivial_;      //!< Corresponding Orxonx debug level for LL_TRIVIAL
-        int                 ogreLogLevelNormal_;       //!< Corresponding Orxonx debug level for LL_NORMAL
-        int                 ogreLogLevelCritical_;     //!< Corresponding Orxonx debug level for LL_CRITICAL
+        std::string         ogreLogFile_;              //!< log filename for Ogre log messages
+        int                 ogreLogLevelTrivial_;      //!< Corresponding Orxonox debug level for LL_TRIVIAL
+        int                 ogreLogLevelNormal_;       //!< Corresponding Orxonox debug level for LL_NORMAL
+        int                 ogreLogLevelCritical_;     //!< Corresponding Orxonox debug level for LL_CRITICAL
 
         // console commands
Index: /code/branches/console/src/libraries/core/OrxonoxClass.cc
===================================================================
--- /code/branches/console/src/libraries/core/OrxonoxClass.cc	(revision 5991)
+++ /code/branches/console/src/libraries/core/OrxonoxClass.cc	(revision 5992)
@@ -34,4 +34,5 @@
 #include "OrxonoxClass.h"
 
+#include <cassert>
 #include "MetaObjectList.h"
 #include "Identifier.h"
@@ -72,4 +73,5 @@
     void OrxonoxClass::destroy()
     {
+        assert(this); // Just in case someone tries to delete a NULL pointer
         this->requestedDestruction_ = true;
         if (this->referenceCount_ == 0)
Index: /code/branches/console/src/libraries/core/input/InputBuffer.cc
===================================================================
--- /code/branches/console/src/libraries/core/input/InputBuffer.cc	(revision 5991)
+++ /code/branches/console/src/libraries/core/input/InputBuffer.cc	(revision 5992)
@@ -80,5 +80,5 @@
     void InputBuffer::setConfigValues()
     {
-        SetConfigValue(keyRepeatDeleay_, 0.4).description("Key repeat deleay of the input buffer");
+        SetConfigValue(keyRepeatDeleay_, 0.4).description("Key repeat delay of the input buffer");
         SetConfigValue(keyRepeatTime_, 0.022).description("Key repeat time of the input buffer");
 
Index: /code/branches/console/src/libraries/core/input/InputHandler.h
===================================================================
--- /code/branches/console/src/libraries/core/input/InputHandler.h	(revision 5991)
+++ /code/branches/console/src/libraries/core/input/InputHandler.h	(revision 5992)
@@ -102,8 +102,8 @@
 
         Derive from this class if you wish to receive input events.
-        But keep in mind that this is pointless wihtout first having an InputState.
+        But keep in mind that this is pointless without first having an InputState.
     @note
         The definitions for the button events with the weird arguments are simply
-        to avoid redunant code in the input devices.
+        to avoid redundant code in the input devices.
     */
     class _CoreExport InputHandler
Index: /code/branches/console/src/libraries/network/packet/Packet.cc
===================================================================
--- /code/branches/console/src/libraries/network/packet/Packet.cc	(revision 5991)
+++ /code/branches/console/src/libraries/network/packet/Packet.cc	(revision 5992)
@@ -230,5 +230,5 @@
 */
 void Packet::deletePacket(ENetPacket *enetPacket){
-  // Get our Packet from a gloabal map with all Packets created in the send() method of Packet.
+  // Get our Packet from a global map with all Packets created in the send() method of Packet.
   std::map<size_t, Packet*>::iterator it = packetMap_.find(reinterpret_cast<size_t>(enetPacket));
   assert(it != packetMap_.end());
Index: /code/branches/console/src/libraries/tools/ResourceCollection.h
===================================================================
--- /code/branches/console/src/libraries/tools/ResourceCollection.h	(revision 5991)
+++ /code/branches/console/src/libraries/tools/ResourceCollection.h	(revision 5992)
@@ -38,6 +38,4 @@
 namespace orxonox
 {
-    class ResourceLocation;
-
     class _ToolsExport ResourceCollection : public BaseObject
     {
Index: /code/branches/console/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- /code/branches/console/src/orxonox/overlays/InGameConsole.cc	(revision 5991)
+++ /code/branches/console/src/orxonox/overlays/InGameConsole.cc	(revision 5992)
@@ -589,7 +589,7 @@
     }
 
-    // ###############################
-    // ###      satic methods      ###
-    // ###############################
+    // ################################
+    // ###      static methods      ###
+    // ################################
 
     /**