Index: code/branches/steering/src/orxonox/controllers/Controller.h
===================================================================
--- code/branches/steering/src/orxonox/controllers/Controller.h	(revision 5984)
+++ code/branches/steering/src/orxonox/controllers/Controller.h	(revision 5993)
@@ -57,6 +57,4 @@
                 { return this->controllableEntity_; }
             virtual void changedControllableEntity() {}
-            virtual void startControl() {}
-            virtual void stopControl() {}
 
         protected:
Index: code/branches/steering/src/orxonox/controllers/HumanController.cc
===================================================================
--- code/branches/steering/src/orxonox/controllers/HumanController.cc	(revision 5984)
+++ code/branches/steering/src/orxonox/controllers/HumanController.cc	(revision 5993)
@@ -113,5 +113,5 @@
     }
 
-    void HumanController::rotateYaw(const Vector2& value)
+    void HumanController::yaw(const Vector2& value)
     {
         //Hack to enable mouselook in map
@@ -125,5 +125,5 @@
     }
 
-    void HumanController::rotatePitch(const Vector2& value)
+    void HumanController::pitch(const Vector2& value)
     {
         //Hack to enable mouselook in map
Index: code/branches/steering/src/orxonox/controllers/HumanController.h
===================================================================
--- code/branches/steering/src/orxonox/controllers/HumanController.h	(revision 5984)
+++ code/branches/steering/src/orxonox/controllers/HumanController.h	(revision 5993)
@@ -49,7 +49,10 @@
             static void moveUpDown(const Vector2& value);
 
-            static void rotateYaw(const Vector2& value);
-            static void rotatePitch(const Vector2& value);
+            static void rotateYaw(const Vector2& value){ HumanController::localController_s->yaw(value); }
+            static void rotatePitch(const Vector2& value){ HumanController::localController_s->pitch(value); }
             static void rotateRoll(const Vector2& value);
+            
+            virtual void yaw(const Vector2& value);
+            virtual void pitch(const Vector2& value);
 
             static void fire(unsigned int firemode);
Index: code/branches/steering/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/steering/src/orxonox/controllers/NewHumanController.cc	(revision 5984)
+++ code/branches/steering/src/orxonox/controllers/NewHumanController.cc	(revision 5993)
@@ -46,51 +46,20 @@
 namespace orxonox
 {
-    SetConsoleCommand(NewHumanController, moveFrontBack, true).setAsInputCommand();
-    SetConsoleCommand(NewHumanController, moveRightLeft, true).setAsInputCommand();
-    SetConsoleCommand(NewHumanController, moveUpDown,    true).setAsInputCommand();
-    SetConsoleCommand(NewHumanController, rotateYaw,     true).setAsInputCommand();
-    SetConsoleCommand(NewHumanController, rotatePitch,   true).setAsInputCommand();
-    SetConsoleCommand(NewHumanController, rotateRoll,    true).setAsInputCommand();
-    SetConsoleCommand(NewHumanController, fire,          true).keybindMode(KeybindMode::OnHold);
-    SetConsoleCommand(NewHumanController, reload,        true);
-    SetConsoleCommand(NewHumanController, boost,         true).keybindMode(KeybindMode::OnHold);
-    SetConsoleCommand(NewHumanController, greet,         true);
-    SetConsoleCommand(NewHumanController, switchCamera,  true);
-    SetConsoleCommand(NewHumanController, mouseLook,     true);
-    SetConsoleCommand(NewHumanController, suicide,       true);
-    SetConsoleCommand(NewHumanController, addBots,       true).defaultValues(1);
-    SetConsoleCommand(NewHumanController, killBots,      true).defaultValues(0);
-    SetConsoleCommand(NewHumanController, dropItems,     true);
-    SetConsoleCommand(NewHumanController, useItem,       true);
-    SetConsoleCommand(NewHumanController, cycleNavigationFocus,   true);
-    SetConsoleCommand(NewHumanController, releaseNavigationFocus, true);
 
     CreateUnloadableFactory(NewHumanController);
-
-    NewHumanController* NewHumanController::localController_s = 0;
 
     NewHumanController::NewHumanController(BaseObject* creator) : HumanController(creator)
     {
         RegisterObject(NewHumanController);
-
-        NewHumanController::localController_s = this;
-
-        gameInputState_ = InputManager::getInstance().createInputState("humansteering", true, true);
-        gameInputState_->setMouseHandler(this);
-        gameInputState_->setMouseMode(MouseMode::Exclusive);
     }
 
     NewHumanController::~NewHumanController()
     {
-        NewHumanController::localController_s = 0;
-
         if( this->isInitialized() )
         {
-            gameInputState_->setHandler(0);
-            InputManager::getInstance().destroyState("humansteering");
         }
     }
 
-    void NewHumanController::tick(float dt)
+    /*void NewHumanController::tick(float dt)
     {
         if (GameMode::playsSound() && NewHumanController::localController_s && NewHumanController::localController_s->controllableEntity_)
@@ -106,22 +75,21 @@
                 COUT(3) << "NewHumanController, Warning: Using a ControllableEntity without Camera" << std::endl;
         }
+    }*/
+    
+    void NewHumanController::yaw(const Vector2& value)
+    {
+//         SUPER(NewHumanController, yaw, value);
+        HumanController::yaw(value);
+        
+        this->currentYaw_ = value.x;
+        std::cout << "X: " << static_cast<float>(this->currentPitch_) << " Y: " << static_cast<float>(this->currentYaw_) << endl;
     }
-
-    void NewHumanController::startControl() {
-        //gameInputState_->setHandler(KeyBinderManager::getInstance().getDefaultAsHandler());
-        //KeyBinderManager::getInstance().setToDefault();
-
-        InputManager::getInstance().enterState("humansteering");
-        std::cout << "started control" << endl;
-    }
-
-    void NewHumanController::stopControl() {
-        InputManager::getInstance().leaveState("humansteering");
-        std::cout << "stopped control" << endl;
-    }
-
-    void NewHumanController::mouseMoved(IntVector2 abs, IntVector2 rel, IntVector2 clippingSize)
+    void NewHumanController::pitch(const Vector2& value)
     {
-        std::cout << "X: " << static_cast<float>(abs.x) << " Y: " << static_cast<float>(abs.y) << endl;
+//         SUPER(NewHumanController, pitch, value);
+        HumanController::pitch(value);
+        
+        this->currentPitch_ = value.x;
+        std::cout << "X: " << static_cast<float>(this->currentPitch_) << " Y: " << static_cast<float>(this->currentYaw_) << endl;
     }
 
Index: code/branches/steering/src/orxonox/controllers/NewHumanController.h
===================================================================
--- code/branches/steering/src/orxonox/controllers/NewHumanController.h	(revision 5984)
+++ code/branches/steering/src/orxonox/controllers/NewHumanController.h	(revision 5993)
@@ -32,12 +32,9 @@
 #include "OrxonoxPrereqs.h"
 
-//#include "tools/interfaces/Tickable.h"
 #include "HumanController.h"
-#include "core/input/InputHandler.h"
-#include "core/input/InputState.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport NewHumanController : public HumanController, public InputHandler
+    class _OrxonoxExport NewHumanController : public HumanController
     {
         public:
@@ -45,15 +42,12 @@
             virtual ~NewHumanController();
 
-            virtual void tick(float dt);
-
-            void startControl();
-            void stopControl();
+//             virtual void tick(float dt);
+            
+            virtual void yaw(const Vector2& value);
+            virtual void pitch(const Vector2& value);
 
         private:
-            static NewHumanController* localController_s;
-            InputState* gameInputState_;
-
-            //mouse handler functions
-            void mouseMoved    (IntVector2 abs, IntVector2 rel, IntVector2 clippingSize);
+            float                       currentYaw_;
+            float                       currentPitch_;
     };
 }
Index: code/branches/steering/src/orxonox/infos/PlayerInfo.cc
===================================================================
--- code/branches/steering/src/orxonox/infos/PlayerInfo.cc	(revision 5984)
+++ code/branches/steering/src/orxonox/infos/PlayerInfo.cc	(revision 5993)
@@ -158,8 +158,6 @@
         this->bReadyToSpawn_ &= (!this->bSetUnreadyAfterSpawn_);
 
-        if (this->controller_) {
+        if (this->controller_)
             this->controller_->setControllableEntity(entity);
-            this->controller_->startControl();
-        }
 
         this->changedControllableEntity();
@@ -176,8 +174,6 @@
         this->controllableEntityID_ = OBJECTID_UNKNOWN;
 
-        if (this->controller_) {
+        if (this->controller_)
             this->controller_->setControllableEntity(0);
-            this->controller_->stopControl();
-        }
 
         entity->removePlayer();