Index: /trunk/src/lib/particles/particle_system.cc
===================================================================
--- /trunk/src/lib/particles/particle_system.cc	(revision 5993)
+++ /trunk/src/lib/particles/particle_system.cc	(revision 5994)
@@ -383,6 +383,6 @@
       break;
     case PARTICLE_MODEL:
-      if (this->model)
-        return this->count * this->model->getFaceCount();
+      if (this->getModel(0))
+        return this->count * this->getModel()->getFaceCount();
       break;
   }
@@ -483,5 +483,5 @@
         GLfloat matrix[4][4];
 
-        if (likely(this->model != NULL))
+        if (likely(this->getModel() != NULL))
           while (likely(drawPart != NULL))
         {
@@ -496,5 +496,5 @@
           glMultMatrixf((float*)matrix);
 
-          this->model->draw();
+          this->getModel()->draw();
 
           glPopMatrix();
Index: /trunk/src/lib/sound/sound_engine.cc
===================================================================
--- /trunk/src/lib/sound/sound_engine.cc	(revision 5993)
+++ /trunk/src/lib/sound/sound_engine.cc	(revision 5994)
@@ -289,5 +289,5 @@
   }
   // INITIALIZING THE DEVICE:
-#ifndef AL_VERSION_1_1
+#ifdef AL_VERSION_1_1
   ALubyte deviceName[] =
 #else
Index: /trunk/src/util/loading/resource_manager.cc
===================================================================
--- /trunk/src/util/loading/resource_manager.cc	(revision 5993)
+++ /trunk/src/util/loading/resource_manager.cc	(revision 5994)
@@ -606,4 +606,5 @@
 }
 
+
 /**
  * Searches for a Resource by some information
@@ -616,5 +617,5 @@
 */
 Resource* ResourceManager::locateResourceByInfo(const char* fileName, ResourceType type,
-                                                void* param1, void* param2, void* param3)
+                                                void* param1, void* param2, void* param3) const
 {
   //  Resource* enumRes = resourceList->enumerate();
@@ -692,5 +693,5 @@
  * @returns a Pointer to the Resource if found, NULL otherwise.
 */
-Resource* ResourceManager::locateResourceByPointer(const void* pointer)
+Resource* ResourceManager::locateResourceByPointer(const void* pointer) const
 {
   //  Resource* enumRes = resourceList->enumerate();
Index: /trunk/src/util/loading/resource_manager.h
===================================================================
--- /trunk/src/util/loading/resource_manager.h	(revision 5993)
+++ /trunk/src/util/loading/resource_manager.h	(revision 5994)
@@ -119,4 +119,7 @@
   bool unloadAllByPriority(ResourcePriority prio);
 
+  Resource* locateResourceByInfo(const char* fileName, ResourceType type, void* param1, void* param2, void* param3) const;
+  Resource* locateResourceByPointer(const void* pointer) const;
+
   void debug() const;
 
@@ -137,7 +140,4 @@
   ResourceManager();
 
-  Resource* locateResourceByInfo(const char* fileName, ResourceType type, void* param1, void* param2, void* param3);
-  Resource* locateResourceByPointer(const void* pointer);
-
  private:
   static ResourceManager*  singletonRef;       //!< singleton Reference
Index: /trunk/src/world_entities/environment.cc
===================================================================
--- /trunk/src/world_entities/environment.cc	(revision 5993)
+++ /trunk/src/world_entities/environment.cc	(revision 5994)
@@ -37,7 +37,4 @@
   this->init();
   this->loadModel("models/ships/bolido.obj");
-
-  if(this->obbTree == NULL)
-    this->obbTree = new OBBTree(4, (sVec3D*)this->model->getVertexArray(), this->model->getVertexCount());
 }
 
@@ -84,21 +81,2 @@
 
 
-/**
- *  draws the Environment
-*/
-void Environment::draw () const
-{
-  glMatrixMode(GL_MODELVIEW);
-  glPushMatrix();
-  float matrix[4][4];
-
-  glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
-  //rotate
-  this->getAbsDir().matrix (matrix);
-  glMultMatrixf((float*)matrix);
-
-  this->model->draw();
-
-  glPopMatrix();
-}
-
Index: /trunk/src/world_entities/environment.h
===================================================================
--- /trunk/src/world_entities/environment.h	(revision 5993)
+++ /trunk/src/world_entities/environment.h	(revision 5994)
@@ -30,6 +30,4 @@
   virtual void tick (float time);
 
-  virtual void draw () const;
-
 };
 
Index: /trunk/src/world_entities/power_ups/laser_power_up.cc
===================================================================
--- /trunk/src/world_entities/power_ups/laser_power_up.cc	(revision 5993)
+++ /trunk/src/world_entities/power_ups/laser_power_up.cc	(revision 5994)
@@ -112,5 +112,5 @@
   Vector tmpRot = this->getAbsDir().getSpacialAxis();
   glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
-  this->model->draw();
+  this->getModel()->draw();
 
   this->sphereMaterial->select();
Index: /trunk/src/world_entities/power_ups/turret_power_up.cc
===================================================================
--- /trunk/src/world_entities/power_ups/turret_power_up.cc	(revision 5993)
+++ /trunk/src/world_entities/power_ups/turret_power_up.cc	(revision 5994)
@@ -112,5 +112,5 @@
   Vector tmpRot = this->getAbsDir().getSpacialAxis();
   glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
-  this->model->draw();
+  this->getModel()->draw();
 
   this->sphereMaterial->select();
Index: /trunk/src/world_entities/satellite.cc
===================================================================
--- /trunk/src/world_entities/satellite.cc	(revision 5993)
+++ /trunk/src/world_entities/satellite.cc	(revision 5994)
@@ -34,5 +34,5 @@
   this->setClassID(CL_SATELLITE, "Satellite");
 
-  this->model = (Model*) ResourceManager::getInstance()->load("cube", RP_LEVEL);
+  this->loadModel("cube");
   this->speed = speed;
   this->axis = new Vector();
@@ -64,27 +64,2 @@
 }
 
-
-/**
- *  the entity is drawn onto the screen with this function
-
-   This is a central function of an entity: call it to let the entity painted to the screen. Just override this function with whatever you want to be drawn.
-*/
-void Satellite::draw() const
-{
-  glMatrixMode(GL_MODELVIEW);
-  glPushMatrix();
-  float matrix[4][4];
-
-  /* translate */
-  glTranslatef (this->getAbsCoor ().x,
-                this->getAbsCoor ().y,
-                this->getAbsCoor ().z);
-  /* rotate */
-  this->getAbsDir ().matrix (matrix);
-  glMultMatrixf((float*)matrix);
-
-  this->model->draw();
-  glPopMatrix();
-
-}
-
Index: /trunk/src/world_entities/satellite.h
===================================================================
--- /trunk/src/world_entities/satellite.h	(revision 5993)
+++ /trunk/src/world_entities/satellite.h	(revision 5994)
@@ -25,5 +25,4 @@
   virtual ~Satellite ();
 
-  virtual void draw () const;
   virtual void tick (float time);
 
Index: /trunk/src/world_entities/skybox.cc
===================================================================
--- /trunk/src/world_entities/skybox.cc	(revision 5993)
+++ /trunk/src/world_entities/skybox.cc	(revision 5994)
@@ -92,10 +92,9 @@
 {
   PRINTF(5)("Deleting SkyBox\n");
+  this->setModel(NULL); //< so that WorldEntity does not try to delete it again.
   for (int i = 0; i < 6; i++)
     delete this->material[i];
   delete[] this->material;
-  delete this->model;
-  this->model = NULL; //< so that WorldEntity does not try to delete it again.
-}
+ }
 
 /**
@@ -171,42 +170,42 @@
 void SkyBox::rebuild()
 {
-  if (this->model)
-    delete this->model;
-  model = new Model();
-
-  this->model->addVertex (-0.5*size, -0.5*size, 0.5*size);
-  this->model->addVertex (0.5*size, -0.5*size, 0.5*size);
-  this->model->addVertex (-0.5*size, 0.5*size, 0.5*size);
-  this->model->addVertex (0.5*size, 0.5*size, 0.5*size);
-  this->model->addVertex (-0.5*size, 0.5*size, -0.5*size);
-  this->model->addVertex (0.5*size, 0.5*size, -0.5*size);
-  this->model->addVertex (-0.5*size, -0.5*size, -0.5*size);
-  this->model->addVertex (0.5*size, -0.5*size, -0.5*size);
-
-  this->model->addVertexTexture (0.0, 1.0);
-  this->model->addVertexTexture (1.0, 1.0);
-  this->model->addVertexTexture (1.0, 0.0);
-  this->model->addVertexTexture (0.0, 0.0);
-
-  this->model->addVertexNormal (0.0, 0.0, 1.0);
-  this->model->addVertexNormal (0.0, 1.0, 0.0);
-  this->model->addVertexNormal (0.0, 0.0, -1.0);
-  this->model->addVertexNormal (0.0, -1.0, 0.0);
-  this->model->addVertexNormal (1.0, 0.0, 0.0);
-  this->model->addVertexNormal (-1.0, 0.0, 0.0);
-
-  this->model->setMaterial(material[0]);
-  this->model->addFace (4, VERTEX_TEXCOORD_NORMAL, 2,0,3, 3,1,3, 5,2,3, 4,3,3); // top
-  this->model->setMaterial(material[1]);
-  this->model->addFace (4, VERTEX_TEXCOORD_NORMAL, 6,0,1, 7,1,1, 1,2,1, 0,3,1); // bottom
-  this->model->setMaterial(material[2]);
-  this->model->addFace (4, VERTEX_TEXCOORD_NORMAL, 4,2,2, 5,3,2, 7,0,2, 6,1,2); // left
-  this->model->setMaterial(material[3]);
-  this->model->addFace (4, VERTEX_TEXCOORD_NORMAL, 0,0,0, 1,1,0, 3,2,0, 2,3,0); // right
-  this->model->setMaterial(material[4]);
-  this->model->addFace (4, VERTEX_TEXCOORD_NORMAL, 1,0,5, 7,1,5, 5,2,5, 3,3,5); // front
-  this->model->setMaterial(material[5]);
-  this->model->addFace (4, VERTEX_TEXCOORD_NORMAL, 6,0,4, 0,1,4, 2,2,4, 4,3,4); // back
-
-  this->model->finalize();
-}
+  Model* model = new Model();
+
+  model->addVertex (-0.5*size, -0.5*size, 0.5*size);
+  model->addVertex (0.5*size, -0.5*size, 0.5*size);
+  model->addVertex (-0.5*size, 0.5*size, 0.5*size);
+  model->addVertex (0.5*size, 0.5*size, 0.5*size);
+  model->addVertex (-0.5*size, 0.5*size, -0.5*size);
+  model->addVertex (0.5*size, 0.5*size, -0.5*size);
+  model->addVertex (-0.5*size, -0.5*size, -0.5*size);
+  model->addVertex (0.5*size, -0.5*size, -0.5*size);
+
+  model->addVertexTexture (0.0, 1.0);
+  model->addVertexTexture (1.0, 1.0);
+  model->addVertexTexture (1.0, 0.0);
+  model->addVertexTexture (0.0, 0.0);
+
+  model->addVertexNormal (0.0, 0.0, 1.0);
+  model->addVertexNormal (0.0, 1.0, 0.0);
+  model->addVertexNormal (0.0, 0.0, -1.0);
+  model->addVertexNormal (0.0, -1.0, 0.0);
+  model->addVertexNormal (1.0, 0.0, 0.0);
+  model->addVertexNormal (-1.0, 0.0, 0.0);
+
+  model->setMaterial(material[0]);
+  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 2,0,3, 3,1,3, 5,2,3, 4,3,3); // top
+  model->setMaterial(material[1]);
+  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 6,0,1, 7,1,1, 1,2,1, 0,3,1); // bottom
+  model->setMaterial(material[2]);
+  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 4,2,2, 5,3,2, 7,0,2, 6,1,2); // left
+  model->setMaterial(material[3]);
+  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 0,0,0, 1,1,0, 3,2,0, 2,3,0); // right
+  model->setMaterial(material[4]);
+  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 1,0,5, 7,1,5, 5,2,5, 3,3,5); // front
+  model->setMaterial(material[5]);
+  model->addFace (4, VERTEX_TEXCOORD_NORMAL, 6,0,4, 0,1,4, 2,2,4, 4,3,4); // back
+
+  model->finalize();
+
+  this->setModel(model);
+}
Index: /trunk/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /trunk/src/world_entities/space_ships/space_ship.cc	(revision 5993)
+++ /trunk/src/world_entities/space_ships/space_ship.cc	(revision 5994)
@@ -250,5 +250,5 @@
   Vector tmpRot = this->getAbsDir().getSpacialAxis();
   glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
-  this->model->draw();
+  this->getModel()->draw();
   glPopMatrix();
 
Index: /trunk/src/world_entities/terrain.cc
===================================================================
--- /trunk/src/world_entities/terrain.cc	(revision 5993)
+++ /trunk/src/world_entities/terrain.cc	(revision 5994)
@@ -138,6 +138,6 @@
   if (this->objectList)
     glCallList(this->objectList);
-  else if (this->model)
-    this->model->draw();
+  else if (this->getModel())
+    this->getModel()->draw();
   if (this->vegetation)
     this->vegetation->draw();
Index: /trunk/src/world_entities/test_entity.cc
===================================================================
--- /trunk/src/world_entities/test_entity.cc	(revision 5993)
+++ /trunk/src/world_entities/test_entity.cc	(revision 5994)
@@ -37,5 +37,7 @@
 //   this->md2Model = new MD2Model("models/tris.md2", "models/tris.pcx");
 // this->md2Model = new MD2Model("models/goblin.md2", "maps/goblin.bmp");
-  this->obbTree = new OBBTree(4, (sVec3D*)this->md2Model->data->pVertices, this->md2Model->data->numVertices);
+
+/// FIXME
+//  this->obbTree = new OBBTree(4, (sVec3D*)this->md2Model->data->pVertices, this->md2Model->data->numVertices);
 
   this->md2Model->setAnim(RUN);
Index: /trunk/src/world_entities/weapons/aiming_turret.cc
===================================================================
--- /trunk/src/world_entities/weapons/aiming_turret.cc	(revision 5993)
+++ /trunk/src/world_entities/weapons/aiming_turret.cc	(revision 5994)
@@ -169,5 +169,5 @@
   glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
 
-  this->model->draw();
+  this->getModel()->draw();
   glPopMatrix();
 }
Index: /trunk/src/world_entities/weapons/bomb.cc
===================================================================
--- /trunk/src/world_entities/weapons/bomb.cc	(revision 5993)
+++ /trunk/src/world_entities/weapons/bomb.cc	(revision 5994)
@@ -147,6 +147,6 @@
   if (this->lifeCycle < .9)
   {
-    if (model)
-      model->draw();
+    if (this->getModel() != NULL)
+      this->getModel()->draw();
   }
   else
Index: /trunk/src/world_entities/weapons/cannon.cc
===================================================================
--- /trunk/src/world_entities/weapons/cannon.cc	(revision 5993)
+++ /trunk/src/world_entities/weapons/cannon.cc	(revision 5994)
@@ -194,5 +194,5 @@
   glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
 
-  this->model->draw();
+  this->getModel()->draw();
   glPopMatrix();
 
Index: /trunk/src/world_entities/weapons/ground_turret.cc
===================================================================
--- /trunk/src/world_entities/weapons/ground_turret.cc	(revision 5993)
+++ /trunk/src/world_entities/weapons/ground_turret.cc	(revision 5994)
@@ -128,6 +128,6 @@
   glMultMatrixf((float*)matrix);
 
-  if (this->model)
-    this->model->draw();
+  if (this->getModel())
+    this->getModel()->draw();
 
   glPopMatrix();
Index: /trunk/src/world_entities/weapons/guided_missile.cc
===================================================================
--- /trunk/src/world_entities/weapons/guided_missile.cc	(revision 5993)
+++ /trunk/src/world_entities/weapons/guided_missile.cc	(revision 5994)
@@ -202,5 +202,5 @@
   glMultMatrixf((float*)matrix);
   glScalef(2.0, 2.0, 2.0);
-  this->model->draw();
+  this->getModel()->draw();
 
   glPopMatrix();
Index: /trunk/src/world_entities/weapons/laser.cc
===================================================================
--- /trunk/src/world_entities/weapons/laser.cc	(revision 5993)
+++ /trunk/src/world_entities/weapons/laser.cc	(revision 5994)
@@ -156,5 +156,5 @@
   glMultMatrixf((float*)matrix);
   glScalef(2.0, 2.0, 2.0);
-  this->model->draw();
+  this->getModel()->draw();
   glPopAttrib();
   glPopMatrix();
Index: /trunk/src/world_entities/weapons/projectile.cc
===================================================================
--- /trunk/src/world_entities/weapons/projectile.cc	(revision 5993)
+++ /trunk/src/world_entities/weapons/projectile.cc	(revision 5994)
@@ -137,17 +137,2 @@
 {}
 
-
-void Projectile::draw () const
-{
-  glMatrixMode(GL_MODELVIEW);
-  glPushMatrix();
-
-  float matrix[4][4];
-  glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
-  this->getAbsDir().matrix (matrix);
-  glMultMatrixf((float*)matrix);
-  this->model->draw();
-
-  glPopMatrix();
-}
-
Index: /trunk/src/world_entities/weapons/projectile.h
===================================================================
--- /trunk/src/world_entities/weapons/projectile.h	(revision 5993)
+++ /trunk/src/world_entities/weapons/projectile.h	(revision 5994)
@@ -41,5 +41,4 @@
 
     virtual void tick (float time);
-    virtual void draw () const;
 
   protected:
Index: /trunk/src/world_entities/weapons/rocket.cc
===================================================================
--- /trunk/src/world_entities/weapons/rocket.cc	(revision 5993)
+++ /trunk/src/world_entities/weapons/rocket.cc	(revision 5994)
@@ -187,5 +187,5 @@
   glMultMatrixf((float*)matrix);
   glScalef(2.0, 2.0, 2.0);
-  this->model->draw();
+  this->getModel()->draw();
 
   glPopMatrix();
Index: /trunk/src/world_entities/weapons/test_bullet.cc
===================================================================
--- /trunk/src/world_entities/weapons/test_bullet.cc	(revision 5993)
+++ /trunk/src/world_entities/weapons/test_bullet.cc	(revision 5994)
@@ -181,5 +181,5 @@
   glMultMatrixf((float*)matrix);
   glScalef(2.0, 2.0, 2.0);
-  this->model->draw();
+  this->getModel()->draw();
 
   glPopMatrix();
Index: /trunk/src/world_entities/weapons/test_gun.cc
===================================================================
--- /trunk/src/world_entities/weapons/test_gun.cc	(revision 5993)
+++ /trunk/src/world_entities/weapons/test_gun.cc	(revision 5994)
@@ -219,5 +219,5 @@
   if( this->leftRight == W_RIGHT)
     glScalef(1.0, 1.0, -1.0);
-  this->model->draw(1);
+  this->getModel()->draw(1);
   glPopMatrix();
 
@@ -230,5 +230,5 @@
   tmpRot = this->objectComponent1->getAbsDir().getSpacialAxis();
   glRotatef (this->objectComponent1->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
-  this->model->draw(0);
+  this->getModel()->draw(0);
   glPopMatrix();
 }
Index: /trunk/src/world_entities/weapons/turret.cc
===================================================================
--- /trunk/src/world_entities/weapons/turret.cc	(revision 5993)
+++ /trunk/src/world_entities/weapons/turret.cc	(revision 5994)
@@ -147,23 +147,2 @@
 void Turret::destroy ()
 {}
-
-/**
- * draws the Turret
-*/
-void Turret::draw () const
-{
-  if (this->model != NULL)
-  {
-    /* draw gun body */
-    glMatrixMode(GL_MODELVIEW);
-    glPushMatrix();
-    glTranslatef (this->getAbsCoor ().x,
-                  this->getAbsCoor ().y,
-                  this->getAbsCoor ().z);
-    Vector tmpRot = this->getAbsDir().getSpacialAxis();
-    glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
-
-    this->model->draw();
-    glPopMatrix();
-  }
-}
Index: /trunk/src/world_entities/weapons/turret.h
===================================================================
--- /trunk/src/world_entities/weapons/turret.h	(revision 5993)
+++ /trunk/src/world_entities/weapons/turret.h	(revision 5994)
@@ -26,5 +26,4 @@
     virtual void destroy();
 
-    virtual void draw() const;
 
   private:
Index: /trunk/src/world_entities/world_entity.cc
===================================================================
--- /trunk/src/world_entities/world_entity.cc	(revision 5993)
+++ /trunk/src/world_entities/world_entity.cc	(revision 5994)
@@ -58,10 +58,10 @@
 WorldEntity::~WorldEntity ()
 {
-  // Delete the model (unregister it with the ResourceManager)
-  if (likely(this->model != NULL))
-    ResourceManager::getInstance()->unload(this->model);
   // Delete the obbTree
   if( this->obbTree != NULL)
     delete this->obbTree;
+
+  // Delete the model (unregister it with the ResourceManager)
+  this->setModel(NULL);
 }
 
@@ -91,13 +91,11 @@
 void WorldEntity::loadModel(const char* fileName, float scaling)
 {
-  if (this->model)
-    ResourceManager::getInstance()->unload(this->model, RP_LEVEL);
   if (fileName != NULL)
   {
     PRINTF(4)("fetching %s\n", fileName);
     if (scaling == 1.0)
-      this->model = (Model*)ResourceManager::getInstance()->load(fileName, OBJ, RP_CAMPAIGN);
+      this->setModel((Model*)ResourceManager::getInstance()->load(fileName, OBJ, RP_CAMPAIGN));
     else
-      this->model = (Model*)ResourceManager::getInstance()->load(fileName, OBJ, RP_CAMPAIGN, &scaling);
+      this->setModel((Model*)ResourceManager::getInstance()->load(fileName, OBJ, RP_CAMPAIGN, &scaling));
 
     this->buildObbTree(4);
@@ -106,4 +104,26 @@
     this->model = NULL;
 }
+
+/**
+ * sets a specific Model for the Object.
+ * @param model The Model to set
+ * @param modelNumber the n'th model in the List to get.
+ */
+void WorldEntity::setModel(Model* model, unsigned int modelNumber)
+{
+  if (this->model != NULL)
+  { 
+    Resource* resource = ResourceManager::getInstance()->locateResourceByPointer(this->model);
+    if (resource != NULL)
+      ResourceManager::getInstance()->unload(resource, RP_LEVEL);
+    else
+      delete this->model;
+  }
+  this->model = model;
+
+//   if (this->model != NULL)  
+//     this->buildObbTree(4);
+}
+
 
 /**
Index: /trunk/src/world_entities/world_entity.h
===================================================================
--- /trunk/src/world_entities/world_entity.h	(revision 5993)
+++ /trunk/src/world_entities/world_entity.h	(revision 5994)
@@ -28,6 +28,12 @@
 
   void loadParams(const TiXmlElement* root);
+
   void loadModel(const char* fileName, float scaling = 1.0f);
+  void setModel(Model* model, unsigned int modelNumber = 0);
+  Model* getModel(unsigned int modelNumber = 0) const { return this->model; };
+
   bool buildObbTree(unsigned int depth);
+  /** @returns a reference to the obb tree of this worldentity */
+  BVTree* getOBBTree() const { return this->obbTree; };
 
   /** @param visibility if the Entity should be visible (been draw) */
@@ -46,6 +52,4 @@
 
   void drawBVTree(unsigned int depth, int drawMode) const;
-  /** @returns a reference to the obb tree of this worldentity */
-  BVTree* getOBBTree() const { return this->obbTree; };
 
   /* @returns the Count of Faces on this WorldEntity */
@@ -58,9 +62,10 @@
 
  protected:
-  Model*                  model;            //!< The model that should be loaded for this entity.
-  BVTree*                 obbTree;          //!< this is the obb tree reference needed for collision detection
   //  CharacterAttributes*    charAttr;         //!< the character attributes of a world_entity
 
  private:
+  Model*                  model;            //!< The model that should be loaded for this entity.
+  BVTree*                 obbTree;          //!< this is the obb tree reference needed for collision detection
+
   bool                    bCollide;         //!< If it should be considered for the collisiontest.
   bool                    bVisible;         //!< If it should be visible.